%define upstream_name    MooX-HandlesVia
%define upstream_version 0.001009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Collection::Array subclass that simulates Moose's native traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Data::Perl) >= 0.2.6
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(MooX::Types::MooseLike::Base) >= 0.230.0
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
MooX::HandlesVia is an extension of Moo's 'handles' attribute
functionality. It provides a means of proxying functionality from an
external class to the given atttribute. This is most commonly used as a way
to emulate 'Native Trait' behavior that has become commonplace in Moose
code, for which there was no Moo alternative.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Oct 17 2020 tv <tv> 0.1.9-1.mga8
+ Revision: 1636484
- update to 0.001009

* Wed Feb 12 2020 umeabot <umeabot> 0.1.8-5.mga8
+ Revision: 1495697
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.8-4.mga7
+ Revision: 1269767
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.8-3.mga6
+ Revision: 1030718
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.8-2.mga6
+ Revision: 967512
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.1.8-1.mga6
+ Revision: 849076
- update to 0.001008

* Sun Oct 19 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 789197
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-3.mga5
+ Revision: 744259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-2.mga5
+ Revision: 685497
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.1.5-1.mga5
+ Revision: 616249
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-MooX-HandlesVia

